import { a as h, d as t, h as i, m as k, i as z } from "../../index-DSGwv2Yx.js";
function A(a) {
  const { moments: s, value: r } = a.inputs, { beta1: l, beta2: m, epsilon: u, learningRate: d } = a.attrs, e = s.shape.length, c = new Array(e).fill(0), n = s.shape.slice();
  n[e - 1] = 1;
  const o = c.slice();
  o[e - 1] = 1;
  const b = n.slice(), p = s.slice(c, n).squeeze([e - 1]), M = s.slice(o, b).squeeze([e - 1]), g = t(p, l), f = t(M, m);
  return i(
    k(t(g, i(z(f), u ?? 1e-8)), -d),
    r
  );
}
const C = {
  kernelName: "AdamAdjust",
  backendName: "cpu",
  kernelFunc: A
};
h(C);
